Custom Fields
Get custom fields
GET
Get all custom field definitions. Requires admin privileges.
ApiKeyAuthheader
X-Redmine-API-Key<token>The request has succeeded.
application/json- response
custom_fields*array<>curl -X GET 'https://redmine.example.com/custom_fields.json'{ "custom_fields": [ { "id": 0, "name": "string", "description": "string", "customized_type": "string", "field_format": "string", "regexp": "string", "min_length": 0, "max_length": 0, "is_required": true, "is_for_all": true, "is_filter": true, "searchable": true, "multiple": true, "default_value": "string", "default_value_mode": "string", "visible": true, "editable": true, "possible_values": [ { "value": "string", "label": "string" } ], "projects": [ { "id": 0, "name": "string" } ], "trackers": [ { "id": 0, "name": "string" } ], "roles": [ { "id": 0, "name": "string" } ] } ]}